package zero1hd.rhythmbullet.entity.coordinator;

import zero1hd.rhythmbullet.entity.EntityManager;

public class CoordinatorManager {
	private EntityManager em;
	
	public CoordinatorFrame<SlowLeftCoordinator> slowLeft;
	public CoordinatorFrame<SlowRightCoordinator> slowRight;
	
	public CoordinatorManager(EntityManager em) {
		this.em = em;
		setup();
	}
	
	private void setup() {
		slowLeft = new CoordinatorFrame<>(em, SlowLeftCoordinator.class);
		slowRight = new CoordinatorFrame<>(em, SlowRightCoordinator.class);
	}
}
